// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ==  http://www.amdis-fem.org                                              ==
// ==                                                                        ==
// ============================================================================
//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.



/** \file MpiHelper.h */

#ifndef AMDIS_MPIHELPER_H
#define AMDIS_MPIHELPER_H

#ifdef HAVE_PARALLEL_DOMAIN_AMDIS

#include <time.h>
#include <stdlib.h>
#include <mpi.h>

namespace AMDiS {

  namespace mpi {
    void globalAdd(double &value);

    void globalAdd(int &value);

    void globalMin(double &value);

    void globalMax(double &value);

    inline void startRand()
    {
      srand(time(NULL) * (MPI::COMM_WORLD.Get_rank() + 1));
    }
  }

}

#endif

#endif
